Bug 131555 - pppoatm support missing.
pppoatm support missing.
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On: 131559
Blocks: 131554 131556
  Show dependency treegraph
Reported: 2004-09-02 05:26 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 09:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-09-02 05:26:31 EDT
Although we ship speedtch.ko, we don't ship the PPP over ATM plugin
which is required for use with it. Without this, UK users cannot use
the standard USB DSL modem provided with most DSL packages. 

The pppoatm plugin requires libatm from the linux-atm package. Either
we'd need to ship linux-atm, or we could build the pppoatm module with
the required parts of libatm linked statically.

If the latter, perhaps we'd want to build the pppoatm module in its
own package rather than with pppd -- hence perhaps we'd want a
ppp-devel package with just the header files needed to make a plugin?

Comment 1 Thomas Woerner 2004-09-02 06:06:30 EDT
I think it would be good to include linux-atm in fc4. 

There has to be made any necessary adjustments in the initscripts and
networking stuff. 
Comment 2 Patrick C. F. Ernzer 2004-09-02 06:47:31 EDT
some random comments:
(caveat, the last time I used a STUSB was when I was living in the UK,
this was kernel 2.4 time and speedtouch-1.1 was current at the time.)

has a french howto
  - the microcode for the STUSB is owned by alcatel, I doubt we will
be able to supply this, but asking Alcatel sure will not hurt. Worst
case a solution a la http://corefonts.sourceforge.net/ may work.
  - http://linux-usb.sourceforge.net/SpeedTouch/docs/howto.html has
something called speedbundle, that should help in making the enduser's
life easier.
  - we propbably want to include a VPI/VCI selector drop down in
system-config-network, users will know what their provider is, but are
generally lost when asked about the values. Thus selecting 'UK,
BTopenworld' would set a VPI of 0 and a VCI of 38, 'US, BellSouth'
would set a VPI of 8 and a VCI of 35, etc.

Comment 3 David Woodhouse 2004-09-02 06:55:26 EDT
You're quite right, we should probably do these things.

But if it gets to the point where all we have to worry about is the
user finding the firmware and getting the VPI/VCI out of the
documentation they're provided with, I'll be happy.
Comment 5 David Woodhouse 2004-10-04 09:33:13 EDT
ppp-2.4.2-6.1 should be in rawhide soon, and includes the pppoatm plugin.

The plugin actually uses very little from the ATM libraries, so I just
imported the two routines it _does_ use rather than depend on the
whole linux-atm package.

Note You need to log in before you can comment on or make changes to this bug.